%define name		xmlresume
%define aname		resume
%define version		1.5.1
%define cvsversion	1_5_1
%define release		2jpp
%define section		free

%define docbook_xsl	%{_datadir}/sgml/docbook/xsl-stylesheets

Summary:	XML Resume Library
Name:		%{name}
Version:	%{version}
Release:	%{release}
Epoch:		0
License:	BSD
Group:		Development/Java
Vendor:		JPackage Project
Distribution:	JPackage
URL:		http://xmlresume.sourceforge.net/
# cvs -d:pserver:anonymous@cvs.sourceforge.net:/cvsroot/xmlresume login
# cvs -d:pserver:anonymous@cvs.sourceforge.net:/cvsroot/xmlresume -z3 co -release-1_5_1 resume
Source0:	http://download.sourceforge.net/xmlresume/xmlresume-cvs.tar.bz2
Source1:	%{name}
Patch0:		%{name}-docbook-xsl.patch
BuildRequires:	jpackage-utils >= 0:1.5
BuildRequires:	saxon
BuildRequires:	saxon-fop
BuildRequires:	%{docbook_xsl}
BuildRequires:	lynx
Requires:	ant >= 0:1.6
Requires:	avalon-framework
Requires:	avalon-logkit
Requires:	batik
Requires:	fop
Requires:	jpackage-utils >= 0:1.5
Requires:	xalan-j2
Requires:	xerces-j2
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
The XML Resume Library is an XML and XSL based system for marking 
up, adding metadata to, and formatting resumes and curricula vitae.

It consists of these components:

    * An XML Document Type Definition (DTD) for describing resumes
    * Three XSL stylesheets to transform an XML resume into:
          o Web-ready HTML,
          o Print-ready PDF, or
          o Plain, unformatted text
          o RTF transforms (requires third-party software)
    * A targeting filter that allows you to focus your resumes to a
      particular employer without manually editing your source resume
      file.

%package demo
Summary:        Examples for %{name}
Group:          Development/Documentation
Requires:	%{name} >= %{epoch}:%{version}

%description demo
Demos for %{name}.

%package manual
Summary:        Manual for %{name}
Group:          Development/Documentation

%description manual
Manual for %{name}.

%prep
%setup -q -n %{aname}
%patch0 -p1

%build
%ant -Ddoc.manual.docbook-xsl.dir=%{docbook_xsl} -Dsaxon.home=%{_javadir} release

%install
%__rm -rf %{buildroot}

pushd %{aname}-%{cvsversion}

# jar
%__mkdir_p %{buildroot}%{_javadir}
%__cp -a java/%{name}-filter.jar \
%{buildroot}%{_javadir}/%{name}-filter-%{version}.jar
%__ln_s %{name}-filter-%{version}.jar \
%{buildroot}%{_javadir}/%{name}-filter.jar

# data
%__mkdir_p %{buildroot}%{_datadir}/%{name}
%__cp -a css dtd examples xsl %{buildroot}%{_datadir}/%{name}

# scripts
%__mkdir_p %{buildroot}%{_bindir}
%__install -p -m 755 %{SOURCE1} %{buildroot}%{_bindir}/%{name}

# docs
%__cp -a doc/manual manual || :
%__rm -rf doc/manual
# FIXME
%__ln_s %{_docdir}/%{name}-manual-%{version} doc/manual

popd

%clean
%__rm -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%doc README
%doc %{aname}-%{cvsversion}/doc/*
%attr(0755,root,root) %{_bindir}/*
%{_javadir}/%{name}-filter.jar
%{_javadir}/%{name}-filter-%{version}.jar
%{_datadir}/%{name}/css
%{_datadir}/%{name}/dtd
%{_datadir}/%{name}/xsl

%files demo
%defattr(0644,root,root,0755)
%{_datadir}/%{name}/examples

%files manual
%defattr(0644,root,root,0755)
%doc %{aname}-%{cvsversion}/manual/*

%changelog
* Sat Aug  6 2005 Ville Skyttä <scop at jpackage.org> - 0:1.5.1-2jpp
- Use a more common, unversioned docbook XSL dir.
- Add missing build dependency on lynx.

* Thu Jan 20 2005 David Walluck <david@jpackage.org> 0:1.5.1-1jpp
- 1.5.1
